#define gitrev 3fc839f
#define gitdate 20160921
# Git repo: http://cgit.freedesktop.org/xorg/driver/xf86-video-ati/

# How to prepare the source archive from the git tree:
# $ hash=`git log -1 --format='%h'`
# $ date=`git log -1 --format='%cd' --date=short | tr -d -`
# $ git archive --prefix xf86-video-ati-${date}-git${hash}/ ${hash} \
#       | xz -7e > xf86-video-ati-${date}-git${hash}.tar.xz

# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	X.org driver for AMD/ATI graphics 
Name:		x11-driver-video-ati
Epoch:		2
Version:	7.8.0
Release:	1
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ati-%{version}.tar.bz2
#Source0:	xf86-video-ati-%{gitdate}-git%{gitrev}.tar.xz

BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libdrm) >= 2.4.58
BuildRequires:	pkgconfig(libdrm_radeon) >= 2.4.58
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(pciaccess)
BuildRequires:	glamor-devel >= 0.6.0

Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)
Suggests:	linux-firmware

%description
x11-driver-video-ati is the X.org driver for AMD/ATI graphics.

%files
%{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_libdir}/xorg/modules/drivers/ati_drv.so
%{_mandir}/man4/ati.*
%{_mandir}/man4/radeon.*

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-video-ati-%{version}

%build
autoreconf -ifs
%configure2_5x --enable-glamor --disable-static
%make

%install
%makeinstall_std

%changelog
